---
title: 'regexp:test()'
slug: Web/EXSLT/regexp/test
tags:
  - EXSLT
  - NeedsSpecTable
  - Reference
---
<div>{{XSLTRef}}{{QuickLinksWithSubpages("/en-US/docs/Web/EXSLT")}}</div>

<p><code>regexp:test()</code> tests to see whether a string matches a specified regular expression.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">regexp:test(<var>testString<var>, <var>regExpString</var>[, <var>flagsString</var>])</var></var></pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>testString</code></dt>
 <dd>The string to test..</dd>
 <dt><code>regExpString</code></dt>
 <dd>The JavaScript style regular expression to evaluate.</dd>
 <dt><code>flagsString</code>{{Optional_Inline}}</dt>
 <dd>An optional string containing character flags.</dd>
</dl>

<p>The character flags are:</p>

<dl>
 <dt><code>g</code></dt>
 <dd>Global match</dd>
 <dd>Has no effect for this function; it's allowed for consistency with other regexp functions.</dd>
 <dt><code>i</code></dt>
 <dd>Case insensitive match</dd>
 <dd>If this flag is specified, the match is performed in a case insensitive fashion.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p><code>true</code> if the specified regexp matches the test string.</p>

<h2 id="Specifications">Specifications</h2>

<p><a class="external" href="http://www.exslt.org/regexp/functions/test/index.html">EXSLT - REGEXP:TEST</a></p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("xslt.exslt.regexp.test")}}</p>
